#pragma once

#include <iostream>
#include <ostream>

using namespace std;

class V3 {
public:
  float xyz[3];
  V3() {};
  V3(float x, float y, float z);
  float& operator[](int i);
  float operator*(V3 v);
  V3 operator*(float scf);
  V3 operator/(float scf);
  V3 operator+(V3 v);
  V3 operator-(V3 v);
  friend ostream& operator<<(ostream &ostr, V3 v);
  void SetFromColor(unsigned int color);
  unsigned int GetColor();
};